Find the answer to your Linux question:
Page 5 of 6 FirstFirst 1 2 3 4 5 6 LastLast
Results 41 to 50 of 54
I guess it's been too long since I've used Debian. I'm not sure what the problem is. Try the suggested (as root) Code: apt-get -f...
Enjoy an ad free experience by logging in. Not a member yet? Register.
  1. #41
    Linux Guru reed9's Avatar
    Join Date
    Feb 2009
    Location
    Boston, MA
    Posts
    4,651

    I guess it's been too long since I've used Debian. I'm not sure what the problem is.

    Try the suggested (as root)
    Code:
    apt-get -f

  2. #42
    Linux Engineer nujinini's Avatar
    Join Date
    Apr 2009
    Posts
    1,274
    Quote Originally Posted by reed9 View Post
    I guess it's been too long since I've used Debian. I'm not sure what the problem is.

    Try the suggested (as root)
    Code:
    apt-get -f
    Its ok. I always appreciate efforts of people who try to help. anyway, whats a super cow?

    Code:
    jun@debian:~$ su
    Password:
    debian:/home/jun# apt-get -f
    apt 0.7.20.2 for i386 compiled on Apr 20 2009 21:52:39
    Usage: apt-get [options] command
           apt-get [options] install|remove pkg1 [pkg2 ...]
           apt-get [options] source pkg1 [pkg2 ...]
    
    apt-get is a simple command line interface for downloading and
    installing packages. The most frequently used commands are update
    and install.
    
    Commands:
       update - Retrieve new lists of packages
       upgrade - Perform an upgrade
       install - Install new packages (pkg is libc6 not libc6.deb)
       remove - Remove packages
       autoremove - Remove automatically all unused packages
       purge - Remove and purge packages
       source - Download source archives
       build-dep - Configure build-dependencies for source packages
       dist-upgrade - Distribution upgrade, see apt-get(8)
       dselect-upgrade - Follow dselect selections
       clean - Erase downloaded archive files
       autoclean - Erase old downloaded archive files
       check - Verify that there are no broken dependencies
    
    Options:
      -h  This help text.
      -q  Loggable output - no progress indicator
      -qq No output except for errors
      -d  Download only - do NOT install or unpack archives
      -s  No-act. Perform ordering simulation
      -y  Assume Yes to all queries and do not prompt
      -f  Attempt to correct a system with broken dependencies in place
      -m  Attempt to continue if archives are unlocatable
      -u  Show a list of upgraded packages as well
      -b  Build the source package after fetching it
      -V  Show verbose version numbers
      -c=? Read this configuration file
      -o=? Set an arbitrary configuration option, eg -o dir::cache=/tmp
    See the apt-get(8), sources.list(5) and apt.conf(5) manual
    pages for more information and options.
                           This APT has Super Cow Powers.
    debian:/home/jun# su -
    debian:~# apt-get -f
    apt 0.7.20.2 for i386 compiled on Apr 20 2009 21:52:39
    Usage: apt-get [options] command
           apt-get [options] install|remove pkg1 [pkg2 ...]
           apt-get [options] source pkg1 [pkg2 ...]
    
    apt-get is a simple command line interface for downloading and
    installing packages. The most frequently used commands are update
    and install.
    
    Commands:
       update - Retrieve new lists of packages
       upgrade - Perform an upgrade
       install - Install new packages (pkg is libc6 not libc6.deb)
       remove - Remove packages
       autoremove - Remove automatically all unused packages
       purge - Remove and purge packages
       source - Download source archives
       build-dep - Configure build-dependencies for source packages
       dist-upgrade - Distribution upgrade, see apt-get(8)
       dselect-upgrade - Follow dselect selections
       clean - Erase downloaded archive files
       autoclean - Erase old downloaded archive files
       check - Verify that there are no broken dependencies
    
    Options:
      -h  This help text.
      -q  Loggable output - no progress indicator
      -qq No output except for errors
      -d  Download only - do NOT install or unpack archives
      -s  No-act. Perform ordering simulation
      -y  Assume Yes to all queries and do not prompt
      -f  Attempt to correct a system with broken dependencies in place
      -m  Attempt to continue if archives are unlocatable
      -u  Show a list of upgraded packages as well
      -b  Build the source package after fetching it
      -V  Show verbose version numbers
      -c=? Read this configuration file
      -o=? Set an arbitrary configuration option, eg -o dir::cache=/tmp
    See the apt-get(8), sources.list(5) and apt.conf(5) manual
    pages for more information and options.
                           This APT has Super Cow Powers.
    debian:~#

  3. #43
    Linux Guru
    Join Date
    Jul 2004
    Posts
    4,593
    You're not entering the command correctly. The error says to enter this:
    Code:
    apt-get -f install
    Sometimes you can find your own answers by actually reading the error messages.
    Please do not send Private Messages to me with requests for help. I will not reply.

  4. $spacer_open
    $spacer_close
  5. #44
    Linux Engineer nujinini's Avatar
    Join Date
    Apr 2009
    Posts
    1,274
    Quote Originally Posted by waterhead View Post
    You're not entering the command correctly. The error says to enter this:
    Code:
    apt-get -f install
    Sometimes you can find your own answers by actually reading the error messages.
    I tried that command just now when I was trying to set-up my flashplayer in konqueror. Kindly check below because I know you can understand it better.


    Code:
    jun@debian:~$ su
    Password:
    debian:/home/jun# adept adobe-flashplugin
    bash: adept: command not found
    debian:/home/jun# apt-get adobe-flashplugin
    E: Invalid operation adobe-flashplugin
    debian:/home/jun# apt-get install adobe-flashplugin
    Reading package lists... Done
    Building dependency tree
    Reading state information... Done
    adobe-flashplugin is already the newest version.
    You might want to run `apt-get -f install' to correct these:
    The following packages have unmet dependencies:
      broadcom-sta-source: Depends: debhelper (>= 7) but it is not going to be installed
                           Depends: bzip2 but it is not going to be installed
                           Depends: make but it is not going to be installed
                           Depends: quilt but it is not going to be installed
                           Recommends: module-assistant but it is not going to be installed
    E: Unmet dependencies. Try 'apt-get -f install' with no packages (or specify a solution).
    debian:/home/jun# apt-get -f install adobe-flashplugin
    Reading package lists... Done
    Building dependency tree
    Reading state information... Done
    adobe-flashplugin is already the newest version.
    You might want to run `apt-get -f install' to correct these:
    The following packages have unmet dependencies:
      broadcom-sta-source: Depends: debhelper (>= 7) but it is not going to be installed
                           Depends: bzip2 but it is not going to be installed
                           Depends: make but it is not going to be installed
                           Depends: quilt but it is not going to be installed
                           Recommends: module-assistant but it is not going to be installed
    E: Unmet dependencies. Try 'apt-get -f install' with no packages (or specify a solution).
    debian:/home/jun# apt-get -f install
    Reading package lists... Done
    Building dependency tree
    Reading state information... Done
    Correcting dependencies... Done
    The following packages were automatically installed and are no longer required:
      knetwalk kpat ksokoban kolf blinken libconvert-binhex-perl libdb4.6++
      kshisen kmoon kmahjongg ksig kjumpingcube knewsticker-scripts kanagram ktip
      kdeprint katomic libcvsservice0 kdegames-card-data ktux klettres libsensors4
      kgoldrunner kbackgammon kpoker libkiten1 kgeography libcrypt-ssleay-perl
      kenolaba kblackbox atlantikdesigner klatin kstars ttf-dustin ksame kbruch
      kpager libkdegames1 lockfile-progs libhtml-parser-perl keduca klipper
      libfinance-quote-perl kdeedu-data kmplot kweather ksmserver kalzium
      ksysguard klinkstatus klickety ksayit kmouth noatun-plugins
      libmime-tools-perl kworldclock kalzium-data kdewebdev kmenuedit kdegames
      kicker-applets ttf-kochi-gothic amor ktouch htdig kgeography-data ksplash
      kdeaccessibility kbounce kvoctrain kdetoys kimagemapeditor atlantik kbstate
      tidy libtidy-0.99-0 arts kwordquiz ktron ttf-sjfonts cvs kttsd kwin4
      libhtml-tableextract-perl klettres-data kreversi kspaceduel kig noatun
      klines fifteenapplet kstars-data poster edict lskat kaddressbook-plugins
      kfilereplace kommander khelpcenter khangman kanjidic ksysguardd ksmiletris
      psutils kpersonalizer kxsldbg quanta kbattleship kasteroids kfouleggs
      libkdeedu3 libhtml-tree-perl ksnake kdelibs kiten eyesapplet libwww-perl
      indi kate kdeedu kpercentage ksirtet libjpeg-progs kmines
      libhtml-tagset-perl konquest kate-plugins libboost-python1.34.1 kmousetool
      kdeaddons-kfile-plugins kmag ktuberling kturtle quanta-data kteatime kverbos
      kdepasswd libnews-nntpclient-perl kodo
    Use 'apt-get autoremove' to remove them.
    The following extra packages will be installed:
      binutils build-essential bzip2 debhelper diffstat dpkg-dev g++ g++-4.3 gcc
      gcc-4.3 html2text intltool-debian libc6-dev libcompress-raw-zlib-perl
      libcompress-zlib-perl libdigest-hmac-perl libdigest-sha1-perl
      libfile-remove-perl libio-compress-base-perl libio-compress-zlib-perl
      libmail-box-perl libmail-sendmail-perl libmime-types-perl
      libobject-realize-later-perl libstdc++6-4.3-dev libsys-hostname-long-perl
      libuser-identity-perl linux-libc-dev make po-debconf quilt
    Suggested packages:
      binutils-doc bzip2-doc dh-make debian-keyring g++-multilib g++-4.3-multilib
      gcc-4.3-doc libstdc++6-4.3-dbg gcc-multilib manpages-dev autoconf
      automake1.9 libtool flex bison gdb gcc-doc gcc-4.3-multilib
      libmudflap0-4.3-dev gcc-4.3-locales libgcc1-dbg libgomp1-dbg libmudflap0-dbg
      glibc-doc libhtml-format-perl spamassassin libmail-imapclient-perl
      libstdc++6-4.3-doc make-doc graphviz
    The following NEW packages will be installed:
      binutils build-essential bzip2 debhelper diffstat dpkg-dev g++ g++-4.3 gcc
      gcc-4.3 html2text intltool-debian libc6-dev libcompress-raw-zlib-perl
      libcompress-zlib-perl libdigest-hmac-perl libdigest-sha1-perl
      libfile-remove-perl libio-compress-base-perl libio-compress-zlib-perl
      libmail-box-perl libmail-sendmail-perl libmime-types-perl
      libobject-realize-later-perl libstdc++6-4.3-dev libsys-hostname-long-perl
      libuser-identity-perl linux-libc-dev make po-debconf quilt
    0 upgraded, 31 newly installed, 0 to remove and 0 not upgraded.
    1 not fully installed or removed.
    Need to get 3345kB/18.4MB of archives.
    After this operation, 59.8MB of additional disk space will be used.
    Do you want to continue [Y/n]? y
    Media change: please insert the disc labeled
     'Debian GNU/Linux 5.0.2 _Lenny_ - Official i386 kde-CD Binary-1 20090628-15:49'
    in the drive '/cdrom/' and press enter
    
    Get:1 http://mirrors.kernel.org lenny/main html2text 1.3.2a-5 [91.5kB]
    Get:2 http://mirrors.kernel.org lenny/main debhelper 7.0.15 [554kB]
    Get:3 http://mirrors.kernel.org lenny/main diffstat 1.45-2 [21.1kB]
    Get:4 http://mirrors.kernel.org lenny/main quilt 0.46-6 [345kB]
    Get:5 http://mirrors.kernel.org lenny/main linux-libc-dev 2.6.26-19 [749kB]
    Get:6 http://mirrors.kernel.org lenny/main libcompress-raw-zlib-perl 2.012-1lenny1 [55.5kB]
    Get:7 http://mirrors.kernel.org lenny/main libio-compress-base-perl 2.012-1 [59.4kB]
    Get:8 http://mirrors.kernel.org lenny/main libio-compress-zlib-perl 2.012-1 [148kB]
    Get:9 http://mirrors.kernel.org lenny/main libcompress-zlib-perl 2.012-1 [36.7kB]
    Get:10 http://mirrors.kernel.org lenny/main libdigest-sha1-perl 2.11-2+b1 [24.6kB]
    Get:11 http://mirrors.kernel.org lenny/main libdigest-hmac-perl 1.01-7 [10.5kB]
    Get:12 http://mirrors.kernel.org lenny/main libfile-remove-perl 1.42-1 [12.9kB]
    Get:13 http://mirrors.kernel.org lenny/main libmime-types-perl 1.24-1 [30.8kB]
    Get:14 http://mirrors.kernel.org lenny/main libobject-realize-later-perl 0.18-1 [17.7kB]
    Get:15 http://mirrors.kernel.org lenny/main libuser-identity-perl 0.92-2 [75.5kB]
    Get:16 http://mirrors.kernel.org lenny/main libmail-box-perl 2.082-2 [1078kB]
    Get:17 http://mirrors.kernel.org lenny/main libsys-hostname-long-perl 1.4-2 [11.3kB]
    Get:18 http://mirrors.kernel.org lenny/main libmail-sendmail-perl 0.79-5 [23.4kB]
    Fetched 3345kB in 2min7s (26.3kB/s)
    Extracting templates from packages: 100%
    Selecting previously deselected package bzip2.
    (Reading database ... 87995 files and directories currently installed.)
    Unpacking bzip2 (from .../b/bzip2/bzip2_1.0.5-1_i386.deb) ...
    Selecting previously deselected package make.
    Unpacking make (from .../make-dfsg/make_3.81-5_i386.deb) ...
    Selecting previously deselected package binutils.
    Unpacking binutils (from .../binutils_2.18.1~cvs20080103-7_i386.deb) ...
    Selecting previously deselected package dpkg-dev.
    Unpacking dpkg-dev (from .../dpkg/dpkg-dev_1.14.25_all.deb) ...
    Selecting previously deselected package html2text.
    Unpacking html2text (from .../html2text_1.3.2a-5_i386.deb) ...
    Selecting previously deselected package intltool-debian.
    Unpacking intltool-debian (from .../intltool-debian_0.35.0+20060710.1_all.deb) ...
    Selecting previously deselected package po-debconf.
    Unpacking po-debconf (from .../po-debconf_1.0.15_all.deb) ...
    Selecting previously deselected package debhelper.
    Unpacking debhelper (from .../debhelper_7.0.15_all.deb) ...
    Selecting previously deselected package diffstat.
    Unpacking diffstat (from .../diffstat_1.45-2_i386.deb) ...
    Selecting previously deselected package quilt.
    Unpacking quilt (from .../archives/quilt_0.46-6_all.deb) ...
    Selecting previously deselected package linux-libc-dev.
    Unpacking linux-libc-dev (from .../linux-libc-dev_2.6.26-19_i386.deb) ...
    Selecting previously deselected package libc6-dev.
    Unpacking libc6-dev (from .../libc6-dev_2.7-18_i386.deb) ...
    Selecting previously deselected package gcc-4.3.
    Unpacking gcc-4.3 (from .../gcc-4.3_4.3.2-1.1_i386.deb) ...
    Selecting previously deselected package gcc.
    Unpacking gcc (from .../gcc_4.3.2-2_i386.deb) ...
    Selecting previously deselected package libstdc++6-4.3-dev.
    Unpacking libstdc++6-4.3-dev (from .../libstdc++6-4.3-dev_4.3.2-1.1_i386.deb) ...
    Selecting previously deselected package g++-4.3.
    Unpacking g++-4.3 (from .../g++-4.3_4.3.2-1.1_i386.deb) ...
    Selecting previously deselected package g++.
    Unpacking g++ (from .../g++_4.3.2-2_i386.deb) ...
    Selecting previously deselected package build-essential.
    Unpacking build-essential (from .../build-essential_11.4_i386.deb) ...
    Selecting previously deselected package libcompress-raw-zlib-perl.
    Unpacking libcompress-raw-zlib-perl (from .../libcompress-raw-zlib-perl_2.012-1lenny1_i386.deb) ...
    Selecting previously deselected package libio-compress-base-perl.
    Unpacking libio-compress-base-perl (from .../libio-compress-base-perl_2.012-1_all.deb) ...
    Selecting previously deselected package libio-compress-zlib-perl.
    Unpacking libio-compress-zlib-perl (from .../libio-compress-zlib-perl_2.012-1_all.deb) ...
    Selecting previously deselected package libcompress-zlib-perl.
    Unpacking libcompress-zlib-perl (from .../libcompress-zlib-perl_2.012-1_all.deb) ...
    Selecting previously deselected package libdigest-sha1-perl.
    Unpacking libdigest-sha1-perl (from .../libdigest-sha1-perl_2.11-2+b1_i386.deb) ...
    Selecting previously deselected package libdigest-hmac-perl.
    Unpacking libdigest-hmac-perl (from .../libdigest-hmac-perl_1.01-7_all.deb) ...
    Selecting previously deselected package libfile-remove-perl.
    Unpacking libfile-remove-perl (from .../libfile-remove-perl_1.42-1_all.deb) ...
    Selecting previously deselected package libmime-types-perl.
    Unpacking libmime-types-perl (from .../libmime-types-perl_1.24-1_all.deb) ...
    Selecting previously deselected package libobject-realize-later-perl.
    Unpacking libobject-realize-later-perl (from .../libobject-realize-later-perl_0.18-1_all.deb) ...
    Selecting previously deselected package libuser-identity-perl.
    Unpacking libuser-identity-perl (from .../libuser-identity-perl_0.92-2_all.deb) ...
    Selecting previously deselected package libmail-box-perl.
    Unpacking libmail-box-perl (from .../libmail-box-perl_2.082-2_all.deb) ...
    Selecting previously deselected package libsys-hostname-long-perl.
    Unpacking libsys-hostname-long-perl (from .../libsys-hostname-long-perl_1.4-2_all.deb) ...
    Selecting previously deselected package libmail-sendmail-perl.
    Unpacking libmail-sendmail-perl (from .../libmail-sendmail-perl_0.79-5_all.deb) ...
    Processing triggers for man-db ...
    Setting up bzip2 (1.0.5-1) ...
    Setting up make (3.81-5) ...
    Setting up binutils (2.18.1~cvs20080103-7) ...
    Setting up dpkg-dev (1.14.25) ...
    Setting up html2text (1.3.2a-5) ...
    Setting up intltool-debian (0.35.0+20060710.1) ...
    Setting up po-debconf (1.0.15) ...
    Setting up debhelper (7.0.15) ...
    Setting up diffstat (1.45-2) ...
    Setting up quilt (0.46-6) ...
    Setting up broadcom-sta-source (5.10.91.9-3) ...
    Setting up linux-libc-dev (2.6.26-19) ...
    Setting up libc6-dev (2.7-18) ...
    Setting up gcc-4.3 (4.3.2-1.1) ...
    Setting up gcc (4:4.3.2-2) ...
    Setting up libcompress-raw-zlib-perl (2.012-1lenny1) ...
    Setting up libio-compress-base-perl (2.012-1) ...
    Setting up libio-compress-zlib-perl (2.012-1) ...
    Setting up libcompress-zlib-perl (2.012-1) ...
    Setting up libdigest-sha1-perl (2.11-2+b1) ...
    Setting up libdigest-hmac-perl (1.01-7) ...
    Setting up libfile-remove-perl (1.42-1) ...
    Setting up libmime-types-perl (1.24-1) ...
    Setting up libobject-realize-later-perl (0.18-1) ...
    Setting up libuser-identity-perl (0.92-2) ...
    Setting up libmail-box-perl (2.082-2) ...
    Setting up libsys-hostname-long-perl (1.4-2) ...
    Setting up libmail-sendmail-perl (0.79-5) ...
    Setting up libstdc++6-4.3-dev (4.3.2-1.1) ...
    Setting up g++-4.3 (4.3.2-1.1) ...
    Setting up g++ (4:4.3.2-2) ...
    Setting up build-essential (11.4) ...
    debian:/home/jun#

  6. #45
    Linux Guru
    Join Date
    Jul 2004
    Posts
    4,593
    I've never ran across this situation before, but it looks like it finally installed the packages. If you read the man pages for apt-get, it says this about the -f option:
    Code:
    -f, --fix-broken
        Fix; attempt to correct a system with broken dependencies in place. This option, when used with
        install/remove, can omit any packages to permit APT to deduce a likely solution. Any Package that are
        specified must completely correct the problem. The option is sometimes necessary when running APT for the
        first time; APT itself does not allow broken package dependencies to exist on a system. It is possible that a
        system´s dependency structure can be so corrupt as to require manual intervention (which usually means using
        dselect(8) or dpkg --remove to eliminate some of the offending packages). Use of this option together with -m
        may produce an error in some situations. Configuration Item: APT::Get::Fix-Broken.
    It also is tell you to remove unused packages. It will continue to do this until you run this command:
    Code:
    apt-get autoremove
    Last edited by waterhead; 09-23-2009 at 04:11 AM.
    Please do not send Private Messages to me with requests for help. I will not reply.

  7. #46
    Linux Engineer nujinini's Avatar
    Join Date
    Apr 2009
    Posts
    1,274
    Quote Originally Posted by waterhead View Post
    I've never ran across this situation before, but it looks like it finally installed the packages. If you read the man pages for apt-get, it says this about the -f option:
    Code:
           -f, --fix-broken
               Fix; attempt to correct a system with broken dependencies in place. This option, when used with
               install/remove, can omit any packages to permit APT to deduce a likely solution. Any Package that are
               specified must completely correct the problem. The option is sometimes necessary when running APT for the
               first time; APT itself does not allow broken package dependencies to exist on a system. It is possible that a
               system´s dependency structure can be so corrupt as to require manual intervention (which usually means using
               dselect(8) or dpkg --remove to eliminate some of the offending packages). Use of this option together with -m
               may produce an error in some situations. Configuration Item: APT::Get::Fix-Broken.
    It also is tell you to remove unused packages. It will continue to do this until you run this command:
    Code:
    apt-get autoremove
    Ok. Thank you. I run "apt-get autoremove. And then restart and try the other command reed9 gave. mayeb it will work now.
    Code:
    debian:/home/jun# apt-get autoremove
    Reading package lists... Done
    Building dependency tree
    Reading state information... Done
    The following packages were automatically installed and are no longer required:
      knetwalk kpat ksokoban kolf blinken libconvert-binhex-perl libdb4.6++
      kshisen kmoon kmahjongg ksig kjumpingcube knewsticker-scripts kanagram ktip
      kdeprint katomic libcvsservice0 kdegames-card-data ktux klettres libsensors4
      kgoldrunner kbackgammon kpoker libkiten1 kgeography libcrypt-ssleay-perl
      kenolaba kblackbox atlantikdesigner klatin kstars ttf-dustin ksame kbruch
      kpager libkdegames1 lockfile-progs libhtml-parser-perl keduca klipper
      libfinance-quote-perl kdeedu-data kmplot kweather ksmserver kalzium
      ksysguard klinkstatus klickety ksayit kmouth noatun-plugins
      libmime-tools-perl kworldclock kalzium-data kdewebdev kmenuedit kdegames
      kicker-applets ttf-kochi-gothic amor ktouch htdig kgeography-data ksplash
      kdeaccessibility kbounce kvoctrain kdetoys kimagemapeditor atlantik kbstate
      tidy libtidy-0.99-0 arts kwordquiz ktron ttf-sjfonts cvs kttsd kwin4
      libhtml-tableextract-perl klettres-data kreversi kspaceduel kig noatun
      klines fifteenapplet kstars-data poster edict lskat kaddressbook-plugins
      kfilereplace kommander khelpcenter khangman kanjidic ksysguardd ksmiletris
      psutils kpersonalizer kxsldbg quanta kbattleship kasteroids kfouleggs
      libkdeedu3 libhtml-tree-perl ksnake kdelibs kiten eyesapplet libwww-perl
      indi kate kdeedu kpercentage ksirtet libjpeg-progs kmines
      libhtml-tagset-perl konquest kate-plugins libboost-python1.34.1 kmousetool
      kdeaddons-kfile-plugins kmag ktuberling kturtle quanta-data kteatime kverbos
      kdepasswd libnews-nntpclient-perl kodo
    The following packages will be REMOVED:
      amor arts atlantik atlantikdesigner blinken cvs edict eyesapplet
      fifteenapplet htdig indi kaddressbook-plugins kalzium kalzium-data kanagram
      kanjidic kasteroids kate kate-plugins katomic kbackgammon kbattleship
      kblackbox kbounce kbruch kbstate kdeaccessibility kdeaddons-kfile-plugins
      kdeedu kdeedu-data kdegames kdegames-card-data kdelibs kdepasswd kdeprint
      kdetoys kdewebdev keduca kenolaba kfilereplace kfouleggs kgeography
      kgeography-data kgoldrunner khangman khelpcenter kicker-applets kig
      kimagemapeditor kiten kjumpingcube klatin klettres klettres-data klickety
      klines klinkstatus klipper kmag kmahjongg kmenuedit kmines kmoon kmousetool
      kmouth kmplot knetwalk knewsticker-scripts kodo kolf kommander konquest
      kpager kpat kpercentage kpersonalizer kpoker kreversi ksame ksayit kshisen
      ksig ksirtet ksmiletris ksmserver ksnake ksokoban kspaceduel ksplash kstars
      kstars-data ksysguard ksysguardd kteatime ktip ktouch ktron kttsd ktuberling
      kturtle ktux kverbos kvoctrain kweather kwin4 kwordquiz kworldclock kxsldbg
      libboost-python1.34.1 libconvert-binhex-perl libcrypt-ssleay-perl
      libcvsservice0 libdb4.6++ libfinance-quote-perl libhtml-parser-perl
      libhtml-tableextract-perl libhtml-tagset-perl libhtml-tree-perl
      libjpeg-progs libkdeedu3 libkdegames1 libkiten1 libmime-tools-perl
      libnews-nntpclient-perl libsensors4 libtidy-0.99-0 libwww-perl
      lockfile-progs lskat noatun noatun-plugins poster psutils quanta quanta-data
      tidy ttf-dustin ttf-kochi-gothic ttf-sjfonts
    0 upgraded, 0 newly installed, 139 to remove and 0 not upgraded.
    After this operation, 204MB disk space will be freed.
    Do you want to continue [Y/n]? y
    (Reading database ... 91356 files and directories currently installed.)
    Removing kdetoys ...
    Removing amor ...
    Removing arts ...
    Removing kdegames ...
    Removing atlantikdesigner ...
    Removing atlantik ...
    Removing kdeedu ...
    Removing blinken ...
    Removing kdewebdev ...
    Removing quanta ...
    Removing libcvsservice0 ...
    Removing cvs ...
    Removing kiten ...
    Removing libkiten1 ...
    Removing edict ...
    Removing eyesapplet ...
    Removing fifteenapplet ...
    Removing khelpcenter ...
    Removing htdig ...
    Removing kstars ...
    Removing indi ...
    Removing kaddressbook-plugins ...
    Removing kalzium ...
    Removing kalzium-data ...
    Removing kanagram ...
    Removing kanjidic ...
    Removing kasteroids ...
    Removing kate-plugins ...
    Removing kate ...
    Removing katomic ...
    Removing kbackgammon ...
    Removing kbattleship ...
    Removing kblackbox ...
    Removing kbounce ...
    Removing kbruch ...
    Removing kdeaccessibility ...
    Removing kbstate ...
    Removing kdeaddons-kfile-plugins ...
    Removing kwordquiz ...
    Removing kvoctrain ...
    Removing kverbos ...
    Removing kturtle ...
    Removing ktouch ...
    Removing kpercentage ...
    Removing kmplot ...
    Removing klettres ...
    Removing klatin ...
    Removing kig ...
    Removing khangman ...
    Removing kgeography ...
    Removing keduca ...
    Removing kdeedu-data ...
    Removing lskat ...
    Removing kpoker ...
    Removing kpat ...
    Removing kdegames-card-data ...
    Removing kdelibs ...
    Removing kdepasswd ...
    Removing kdeprint ...
    Removing kenolaba ...
    Removing kfilereplace ...
    Removing kfouleggs ...
    Removing kgeography-data ...
    Removing kgoldrunner ...
    Removing kicker-applets ...
    Removing kimagemapeditor ...
    Removing kjumpingcube ...
    Removing klettres-data ...
    Removing klickety ...
    Removing klines ...
    Removing klinkstatus ...
    Removing klipper ...
    Removing kmag ...
    Removing kmahjongg ...
    Removing kmenuedit ...
    Removing kmines ...
    Removing kmoon ...
    Removing kmousetool ...
    Removing kmouth ...
    Removing knetwalk ...
    Removing knewsticker-scripts ...
    Removing kodo ...
    Removing kolf ...
    Removing kommander ...
    Removing konquest ...
    Removing kpager ...
    Removing kpersonalizer ...
    Removing kreversi ...
    Removing ksame ...
    Removing ksayit ...
    Removing kshisen ...
    Removing ksig ...
    Removing ksirtet ...
    Removing ksmiletris ...
    Removing ksmserver ...
    Removing ksnake ...
    Removing ksokoban ...
    Removing kspaceduel ...
    Removing ksplash ...
    Removing kstars-data ...
    Removing ksysguard ...
    Removing ksysguardd ...
    Removing kteatime ...
    Removing ktip ...
    Removing ktron ...
    Removing kttsd ...
    Removing ktuberling ...
    Removing ktux ...
    Removing kweather ...
    Removing kwin4 ...
    Removing kworldclock ...
    Removing kxsldbg ...
    Removing libboost-python1.34.1 ...
    Removing libmime-tools-perl ...
    Removing libconvert-binhex-perl ...
    Removing libfinance-quote-perl ...
    Removing libcrypt-ssleay-perl ...
    Removing noatun-plugins ...
    Removing libdb4.6++ ...
    Removing libwww-perl ...
    Removing libhtml-tree-perl ...
    Removing libhtml-tableextract-perl ...
    Removing libhtml-parser-perl ...
    Removing libhtml-tagset-perl ...
    Removing libjpeg-progs ...
    Removing libkdeedu3 ...
    Removing libkdegames1 ...
    Removing libnews-nntpclient-perl ...
    Removing libsensors4 ...
    Removing tidy ...
    Removing libtidy-0.99-0 ...
    Removing lockfile-progs ...
    Removing noatun ...
    Removing poster ...
    Removing psutils ...
    Removing quanta-data ...
    Removing ttf-dustin ...
    Updating fontconfig cache for /usr/share/fonts/truetype/dustin
    Removing ttf-kochi-gothic ...
    Updating fontconfig cache for /usr/share/fonts/truetype/kochi
    Removing ttf-sjfonts ...
    Updating fontconfig cache for /usr/share/fonts/truetype/sjfonts
    Processing triggers for menu ...
    Processing triggers for man-db ...
    debian:/home/jun#

  8. #47
    Linux Engineer nujinini's Avatar
    Join Date
    Apr 2009
    Posts
    1,274
    Am now using my Fedora 10.

    I lost my debian desktop when I restarted. I mean all the short cuts are no longer there. I will have to make a fresh reinstall again and work my way through all the instructions except the
    "apt-get autoremove ". At least I can study along the way. darn! goin bananas here

    I will post back as soon as I am done and continue my quest for wireless debian. Thank you guys!

  9. #48
    Linux Guru reed9's Avatar
    Join Date
    Feb 2009
    Location
    Boston, MA
    Posts
    4,651
    I was going to say, I wouldn't actually do the apt-get autoremove. If you look at the list of items, it includes your kde desktop.

  10. #49
    Linux Engineer nujinini's Avatar
    Join Date
    Apr 2009
    Posts
    1,274
    Quote Originally Posted by reed9 View Post
    I was going to say, I wouldn't actually do the apt-get autoremove. If you look at the list of items, it includes your kde desktop.
    Yes, Some important things I learned:

    1) Read (Slowly)
    2) Understand (Comprehend)
    3) Read again!

    For the hand is quicker than the eye

    I am now in my old laptop using ubuntu 9.04 and expectting to finish fresh installation of debian in 30 minutes.

    Goodnight guys!

  11. #50
    Linux Engineer nujinini's Avatar
    Join Date
    Apr 2009
    Posts
    1,274
    Hello Guys,

    I am now CABLE FREE on my debian! I think I know what the culprit was. My installation of the wireless went smooth. Hereunder are my outputs.
    I think the culprit was when I was trying to install flashplayer, I added "deb Index of /debian lenny-backports main contrib non-free" to the /etc/apt/sources.list. As suggested in this link http://http://backports.org/dokuwiki...d=instructions
    While I was trying to reinstall my flashplayer, I noticed it says something about "backports" which was also mentioned in the error reports I was getting. So this time around, I did not install it.

    Well anyway, I hope this experience of mine can help also those who would desire to install wireless on their lenny.



    Code:
    jun@debian:~$ su -
    Password:
    debian:~# apt-get update
    Ign cdrom://[Debian GNU/Linux 5.0.2 _Lenny_ - Official i386 kde-CD Binary-1 20090628-15:49] lenny Release.gpg
    Ign cdrom://[Debian GNU/Linux 5.0.2 _Lenny_ - Official i386 kde-CD Binary-1 20090628-15:49] lenny/main Translation-en_US
    Ign cdrom://[Debian GNU/Linux 5.0.2 _Lenny_ - Official i386 kde-CD Binary-1 20090628-15:49] lenny Release
    Ign cdrom://[Debian GNU/Linux 5.0.2 _Lenny_ - Official i386 kde-CD Binary-1 20090628-15:49] lenny/main Packages/DiffIndex
    Hit http://debian.lcs.mit.edu lenny Release.gpg
    Ign http://debian.lcs.mit.edu lenny/main Translation-en_US
    Hit http://security.debian.org lenny/updates Release.gpg
    Ign http://security.debian.org lenny/updates/main Translation-en_US
    Hit http://volatile.debian.org lenny/volatile Release.gpg
    Ign http://volatile.debian.org lenny/volatile/main Translation-en_US
    Hit http://debian.lcs.mit.edu lenny Release
    Hit http://security.debian.org lenny/updates Release
    Hit http://volatile.debian.org lenny/volatile Release
    Ign http://debian.lcs.mit.edu lenny/main Packages/DiffIndex
    Ign http://security.debian.org lenny/updates/main Packages/DiffIndex
    Ign http://volatile.debian.org lenny/volatile/main Packages/DiffIndex
    Ign http://debian.lcs.mit.edu lenny/main Sources/DiffIndex
    Ign http://security.debian.org lenny/updates/main Sources/DiffIndex
    Ign http://volatile.debian.org lenny/volatile/main Sources/DiffIndex
    Hit http://debian.lcs.mit.edu lenny/main Packages
    Hit http://security.debian.org lenny/updates/main Packages
    Hit http://volatile.debian.org lenny/volatile/main Packages
    Hit http://debian.lcs.mit.edu lenny/main Sources
    Hit http://security.debian.org lenny/updates/main Sources
    Hit http://volatile.debian.org lenny/volatile/main Sources
    Reading package lists... Done
    debian:~# apt-get install flashplugin-nonfree
    Reading package lists... Done
    Building dependency tree
    Reading state information... Done
    flashplugin-nonfree is already the newest version.
    0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
    debian:~# apt-get update
    Ign cdrom://[Debian GNU/Linux 5.0.2 _Lenny_ - Official i386 kde-CD Binary-1 20090628-15:49] lenny Release.gpg
    Ign cdrom://[Debian GNU/Linux 5.0.2 _Lenny_ - Official i386 kde-CD Binary-1 20090628-15:49] lenny/main Translation-en_US
    Ign cdrom://[Debian GNU/Linux 5.0.2 _Lenny_ - Official i386 kde-CD Binary-1 20090628-15:49] lenny Release
    Ign cdrom://[Debian GNU/Linux 5.0.2 _Lenny_ - Official i386 kde-CD Binary-1 20090628-15:49] lenny/main Packages/DiffIndex
    Hit http://debian.lcs.mit.edu lenny Release.gpg
    Ign http://debian.lcs.mit.edu lenny/main Translation-en_US
    Hit http://security.debian.org lenny/updates Release.gpg
    Ign http://security.debian.org lenny/updates/main Translation-en_US
    Hit http://volatile.debian.org lenny/volatile Release.gpg
    Ign http://volatile.debian.org lenny/volatile/main Translation-en_US
    Hit http://debian.lcs.mit.edu lenny Release
    Hit http://security.debian.org lenny/updates Release
    Hit http://volatile.debian.org lenny/volatile Release
    Ign http://debian.lcs.mit.edu lenny/main Packages/DiffIndex
    Ign http://security.debian.org lenny/updates/main Packages/DiffIndex
    Ign http://volatile.debian.org lenny/volatile/main Packages/DiffIndex
    Ign http://debian.lcs.mit.edu lenny/main Sources/DiffIndex
    Ign http://security.debian.org lenny/updates/main Sources/DiffIndex
    Ign http://volatile.debian.org lenny/volatile/main Sources/DiffIndex
    Hit http://debian.lcs.mit.edu lenny/main Packages
    Hit http://security.debian.org lenny/updates/main Packages
    Hit http://volatile.debian.org lenny/volatile/main Packages
    Hit http://debian.lcs.mit.edu lenny/main Sources
    Hit http://security.debian.org lenny/updates/main Sources
    Hit http://volatile.debian.org lenny/volatile/main Sources
    Reading package lists... Done
    debian:~# /usr/sbin/update-flashplugin-nonfree --install
    debian:~# exit
    logout
    jun@debian:~$ su
    Password:
    debian:/home/jun# exit
    exit
    jun@debian:~$ wget http://http.us.debian.org/debian/pool/non-free/b/broadcom-sta/broadcom-sta-source_5.10.91.9-3_all.deb
    --2009-09-23 02:57:59--  http://http.us.debian.org/debian/pool/non-free/b/broadcom-sta/broadcom-sta-source_5.10.91.9-3_all.deb
    Resolving http.us.debian.org... 64.50.236.52, 128.30.2.36, 149.20.20.135, ...
    Connecting to http.us.debian.org|64.50.236.52|:80... connected.
    HTTP request sent, awaiting response... 200 OK
    Length: 1166506 (1.1M) [application/x-debian-package]
    Saving to: `broadcom-sta-source_5.10.91.9-3_all.deb'
    
    100%[======================================>] 1,166,506   52.3K/s   in 24s
    
    2009-09-23 02:58:24 (47.8 KB/s) - `broadcom-sta-source_5.10.91.9-3_all.deb' saved [1166506/1166506]
    
    jun@debian:~$ wget http://http.us.debian.org/debian/pool/non-free/b/broadcom-sta/broadcom-sta-common_5.10.91.9-3_all.deb
    --2009-09-23 02:58:42--  http://http.us.debian.org/debian/pool/non-free/b/broadcom-sta/broadcom-sta-common_5.10.91.9-3_all.deb
    Resolving http.us.debian.org... 64.50.236.52
    Connecting to http.us.debian.org|64.50.236.52|:80... connected.
    HTTP request sent, awaiting response... 200 OK
    Length: 7590 (7.4K) [application/x-debian-package]
    Saving to: `broadcom-sta-common_5.10.91.9-3_all.deb'
    
    100%[======================================>] 7,590       18.6K/s   in 0.4s
    
    2009-09-23 02:58:43 (18.6 KB/s) - `broadcom-sta-common_5.10.91.9-3_all.deb' saved [7590/7590]
    
    jun@debian:~$ su
    Password:
    debian:/home/jun# sudo apt-get install build-essential debhelper module-assistant quilt wireless-tools
    Reading package lists... Done
    Building dependency tree
    Reading state information... Done
    wireless-tools is already the newest version.
    The following extra packages will be installed:
      binutils bzip2 diffstat dpkg-dev g++ g++-4.3 gcc gcc-4.3 html2text
      intltool-debian libc6-dev libcompress-raw-zlib-perl libcompress-zlib-perl
      libdigest-hmac-perl libdigest-sha1-perl libfile-remove-perl
      libio-compress-base-perl libio-compress-zlib-perl libmail-box-perl
      libmail-sendmail-perl libmime-types-perl libobject-realize-later-perl
      libstdc++6-4.3-dev libsys-hostname-long-perl libuser-identity-perl
      linux-libc-dev make po-debconf
    Suggested packages:
      binutils-doc bzip2-doc dh-make debian-keyring g++-multilib g++-4.3-multilib
      gcc-4.3-doc libstdc++6-4.3-dbg gcc-multilib manpages-dev autoconf
      automake1.9 libtool flex bison gdb gcc-doc gcc-4.3-multilib
      libmudflap0-4.3-dev gcc-4.3-locales libgcc1-dbg libgomp1-dbg libmudflap0-dbg
      glibc-doc libhtml-format-perl spamassassin libmail-imapclient-perl
      libstdc++6-4.3-doc make-doc graphviz
    The following NEW packages will be installed:
      binutils build-essential bzip2 debhelper diffstat dpkg-dev g++ g++-4.3 gcc
      gcc-4.3 html2text intltool-debian libc6-dev libcompress-raw-zlib-perl
      libcompress-zlib-perl libdigest-hmac-perl libdigest-sha1-perl
      libfile-remove-perl libio-compress-base-perl libio-compress-zlib-perl
      libmail-box-perl libmail-sendmail-perl libmime-types-perl
      libobject-realize-later-perl libstdc++6-4.3-dev libsys-hostname-long-perl
      libuser-identity-perl linux-libc-dev make module-assistant po-debconf quilt
    0 upgraded, 32 newly installed, 0 to remove and 0 not upgraded.
    Need to get 3345kB/18.5MB of archives.
    After this operation, 60.3MB of additional disk space will be used.
    Do you want to continue [Y/n]? y
    Media change: please insert the disc labeled
     'Debian GNU/Linux 5.0.2 _Lenny_ - Official i386 kde-CD Binary-1 20090628-15:49'
    in the drive '/cdrom/' and press enter
    
    Get:1 http://debian.lcs.mit.edu lenny/main linux-libc-dev 2.6.26-19 [749kB]
    Get:2 http://debian.lcs.mit.edu lenny/main html2text 1.3.2a-5 [91.5kB]
    Get:3 http://debian.lcs.mit.edu lenny/main debhelper 7.0.15 [554kB]
    Media change: please insert the disc labeled
     'Debian GNU/Linux 5.0.2 _Lenny_ - Official i386 kde-CD Binary-1 20090628-15:49'
    in the drive '/cdrom/' and press enter
    
    Get:4 http://debian.lcs.mit.edu lenny/main diffstat 1.45-2 [21.1kB]
    Get:5 http://debian.lcs.mit.edu lenny/main libcompress-raw-zlib-perl 2.012-1lenny1 [55.5kB]
    Get:6 http://debian.lcs.mit.edu lenny/main libio-compress-base-perl 2.012-1 [59.4kB]
    Get:7 http://debian.lcs.mit.edu lenny/main libio-compress-zlib-perl 2.012-1 [148kB]
    Get:8 http://debian.lcs.mit.edu lenny/main libcompress-zlib-perl 2.012-1 [36.7kB]
    Get:9 http://debian.lcs.mit.edu lenny/main libdigest-sha1-perl 2.11-2+b1 [24.6kB]
    Get:10 http://debian.lcs.mit.edu lenny/main libdigest-hmac-perl 1.01-7 [10.5kB]
    Get:11 http://debian.lcs.mit.edu lenny/main libfile-remove-perl 1.42-1 [12.9kB]
    Get:12 http://debian.lcs.mit.edu lenny/main libmime-types-perl 1.24-1 [30.8kB]
    Get:13 http://debian.lcs.mit.edu lenny/main libobject-realize-later-perl 0.18-1 [17.7kB]
    Get:14 http://debian.lcs.mit.edu lenny/main libuser-identity-perl 0.92-2 [75.5kB]
    Get:15 http://debian.lcs.mit.edu lenny/main libmail-box-perl 2.082-2 [1078kB]
    Get:16 http://debian.lcs.mit.edu lenny/main libsys-hostname-long-perl 1.4-2 [11.3kB]
    Get:17 http://debian.lcs.mit.edu lenny/main libmail-sendmail-perl 0.79-5 [23.4kB]
    Get:18 http://debian.lcs.mit.edu lenny/main quilt 0.46-6 [345kB]
    Fetched 3345kB in 1min5s (51.2kB/s)
    Extracting templates from packages: 100%
    Selecting previously deselected package binutils.
    (Reading database ... 88044 files and directories currently installed.)
    Unpacking binutils (from .../binutils_2.18.1~cvs20080103-7_i386.deb) ...
    Selecting previously deselected package linux-libc-dev.
    Unpacking linux-libc-dev (from .../linux-libc-dev_2.6.26-19_i386.deb) ...
    Selecting previously deselected package libc6-dev.
    Unpacking libc6-dev (from .../libc6-dev_2.7-18_i386.deb) ...
    Selecting previously deselected package gcc-4.3.
    Unpacking gcc-4.3 (from .../gcc-4.3_4.3.2-1.1_i386.deb) ...
    Selecting previously deselected package gcc.
    Unpacking gcc (from .../gcc_4.3.2-2_i386.deb) ...
    Selecting previously deselected package libstdc++6-4.3-dev.
    Unpacking libstdc++6-4.3-dev (from .../libstdc++6-4.3-dev_4.3.2-1.1_i386.deb) ...
    Selecting previously deselected package g++-4.3.
    Unpacking g++-4.3 (from .../g++-4.3_4.3.2-1.1_i386.deb) ...
    Selecting previously deselected package g++.
    Unpacking g++ (from .../g++_4.3.2-2_i386.deb) ...
    Selecting previously deselected package make.
    Unpacking make (from .../make-dfsg/make_3.81-5_i386.deb) ...
    Selecting previously deselected package bzip2.
    Unpacking bzip2 (from .../b/bzip2/bzip2_1.0.5-1_i386.deb) ...
    Selecting previously deselected package dpkg-dev.
    Unpacking dpkg-dev (from .../dpkg/dpkg-dev_1.14.25_all.deb) ...
    Selecting previously deselected package build-essential.
    Unpacking build-essential (from .../build-essential_11.4_i386.deb) ...
    Selecting previously deselected package html2text.
    Unpacking html2text (from .../html2text_1.3.2a-5_i386.deb) ...
    Selecting previously deselected package intltool-debian.
    Unpacking intltool-debian (from .../intltool-debian_0.35.0+20060710.1_all.deb) ...
    Selecting previously deselected package po-debconf.
    Unpacking po-debconf (from .../po-debconf_1.0.15_all.deb) ...
    Selecting previously deselected package debhelper.
    Unpacking debhelper (from .../debhelper_7.0.15_all.deb) ...
    Selecting previously deselected package diffstat.
    Unpacking diffstat (from .../diffstat_1.45-2_i386.deb) ...
    Selecting previously deselected package libcompress-raw-zlib-perl.
    Unpacking libcompress-raw-zlib-perl (from .../libcompress-raw-zlib-perl_2.012-1lenny1_i386.deb) ...
    Selecting previously deselected package libio-compress-base-perl.
    Unpacking libio-compress-base-perl (from .../libio-compress-base-perl_2.012-1_all.deb) ...
    Selecting previously deselected package libio-compress-zlib-perl.
    Unpacking libio-compress-zlib-perl (from .../libio-compress-zlib-perl_2.012-1_all.deb) ...
    Selecting previously deselected package libcompress-zlib-perl.
    Unpacking libcompress-zlib-perl (from .../libcompress-zlib-perl_2.012-1_all.deb) ...
    Selecting previously deselected package libdigest-sha1-perl.
    Unpacking libdigest-sha1-perl (from .../libdigest-sha1-perl_2.11-2+b1_i386.deb) ...
    Selecting previously deselected package libdigest-hmac-perl.
    Unpacking libdigest-hmac-perl (from .../libdigest-hmac-perl_1.01-7_all.deb) ...
    Selecting previously deselected package libfile-remove-perl.
    Unpacking libfile-remove-perl (from .../libfile-remove-perl_1.42-1_all.deb) ...
    Selecting previously deselected package libmime-types-perl.
    Unpacking libmime-types-perl (from .../libmime-types-perl_1.24-1_all.deb) ...
    Selecting previously deselected package libobject-realize-later-perl.
    Unpacking libobject-realize-later-perl (from .../libobject-realize-later-perl_0.18-1_all.deb) ...
    Selecting previously deselected package libuser-identity-perl.
    Unpacking libuser-identity-perl (from .../libuser-identity-perl_0.92-2_all.deb) ...
    Selecting previously deselected package libmail-box-perl.
    Unpacking libmail-box-perl (from .../libmail-box-perl_2.082-2_all.deb) ...
    Selecting previously deselected package libsys-hostname-long-perl.
    Unpacking libsys-hostname-long-perl (from .../libsys-hostname-long-perl_1.4-2_all.deb) ...
    Selecting previously deselected package libmail-sendmail-perl.
    Unpacking libmail-sendmail-perl (from .../libmail-sendmail-perl_0.79-5_all.deb) ...
    Selecting previously deselected package module-assistant.
    Unpacking module-assistant (from .../module-assistant_0.10.11.0_all.deb) ...
    Selecting previously deselected package quilt.
    Unpacking quilt (from .../archives/quilt_0.46-6_all.deb) ...
    Processing triggers for man-db ...
    Setting up binutils (2.18.1~cvs20080103-7) ...
    Setting up linux-libc-dev (2.6.26-19) ...
    Setting up libc6-dev (2.7-18) ...
    Setting up gcc-4.3 (4.3.2-1.1) ...
    Setting up gcc (4:4.3.2-2) ...
    Setting up make (3.81-5) ...
    Setting up bzip2 (1.0.5-1) ...
    Setting up dpkg-dev (1.14.25) ...
    Setting up html2text (1.3.2a-5) ...
    Setting up intltool-debian (0.35.0+20060710.1) ...
    Setting up po-debconf (1.0.15) ...
    Setting up debhelper (7.0.15) ...
    Setting up diffstat (1.45-2) ...
    Setting up libcompress-raw-zlib-perl (2.012-1lenny1) ...
    Setting up libio-compress-base-perl (2.012-1) ...
    Setting up libio-compress-zlib-perl (2.012-1) ...
    Setting up libcompress-zlib-perl (2.012-1) ...
    Setting up libdigest-sha1-perl (2.11-2+b1) ...
    Setting up libdigest-hmac-perl (1.01-7) ...
    Setting up libfile-remove-perl (1.42-1) ...
    Setting up libmime-types-perl (1.24-1) ...
    Setting up libobject-realize-later-perl (0.18-1) ...
    Setting up libuser-identity-perl (0.92-2) ...
    Setting up libmail-box-perl (2.082-2) ...
    Setting up libsys-hostname-long-perl (1.4-2) ...
    Setting up libmail-sendmail-perl (0.79-5) ...
    Setting up module-assistant (0.10.11.0) ...
    Setting up quilt (0.46-6) ...
    Setting up libstdc++6-4.3-dev (4.3.2-1.1) ...
    Setting up g++-4.3 (4.3.2-1.1) ...
    Setting up g++ (4:4.3.2-2) ...
    Setting up build-essential (11.4) ...
    debian:/home/jun# dpkg -i broadcom-sta-common*deb broadcom-sta-source*deb
    Selecting previously deselected package broadcom-sta-common.
    (Reading database ... 91459 files and directories currently installed.)
    Unpacking broadcom-sta-common (from broadcom-sta-common_5.10.91.9-3_all.deb) ...
    Selecting previously deselected package broadcom-sta-source.
    Unpacking broadcom-sta-source (from broadcom-sta-source_5.10.91.9-3_all.deb) ...
    Setting up broadcom-sta-common (5.10.91.9-3) ...
    Setting up broadcom-sta-source (5.10.91.9-3) ...
    debian:/home/jun# m-a a-i broadcom-sta
    
    Updated infos about 1 packages
    Getting source for kernel version: 2.6.26-2-686
    apt-get install linux-headers-2.6.26-2-686
    Reading package lists... Done
    Building dependency tree
    Reading state information... Done
    The following extra packages will be installed:
      cpp-4.1 gcc-4.1 gcc-4.1-base linux-headers-2.6.26-2-common
      linux-kbuild-2.6.26
    Suggested packages:
      gcc-4.1-locales gcc-4.1-multilib gcc-4.1-doc libmudflap0-dev
    The following NEW packages will be installed:
      cpp-4.1 gcc-4.1 gcc-4.1-base linux-headers-2.6.26-2-686
      linux-headers-2.6.26-2-common linux-kbuild-2.6.26
    0 upgraded, 6 newly installed, 0 to remove and 0 not upgraded.
    Need to get 4116kB/7252kB of archives.
    After this operation, 41.2MB of additional disk space will be used.
    Do you want to continue [Y/n]? y
    Get:1 http://debian.lcs.mit.edu lenny/main linux-headers-2.6.26-2-common 2.6.26-19 [3718kB]
    Get:2 http://debian.lcs.mit.edu lenny/main linux-headers-2.6.26-2-686 2.6.26-19 [398kB]
    Fetched 4116kB in 1min18s (52.7kB/s)
    Selecting previously deselected package gcc-4.1-base.
    (Reading database ... 91469 files and directories currently installed.)
    Unpacking gcc-4.1-base (from .../gcc-4.1-base_4.1.2-25_i386.deb) ...
    Selecting previously deselected package cpp-4.1.
    Unpacking cpp-4.1 (from .../cpp-4.1_4.1.2-25_i386.deb) ...
    Selecting previously deselected package gcc-4.1.
    Unpacking gcc-4.1 (from .../gcc-4.1_4.1.2-25_i386.deb) ...
    Selecting previously deselected package linux-headers-2.6.26-2-common.
    Unpacking linux-headers-2.6.26-2-common (from .../linux-headers-2.6.26-2-common_2.6.26-19_i386.deb) ...
    Selecting previously deselected package linux-kbuild-2.6.26.
    Unpacking linux-kbuild-2.6.26 (from .../linux-kbuild-2.6.26_2.6.26-3_i386.deb) ...
    Selecting previously deselected package linux-headers-2.6.26-2-686.
    Unpacking linux-headers-2.6.26-2-686 (from .../linux-headers-2.6.26-2-686_2.6.26-19_i386.deb) ...
    Processing triggers for man-db ...
    Setting up gcc-4.1-base (4.1.2-25) ...
    Setting up cpp-4.1 (4.1.2-25) ...
    Setting up gcc-4.1 (4.1.2-25) ...
    Setting up linux-headers-2.6.26-2-common (2.6.26-19) ...
    Setting up linux-kbuild-2.6.26 (2.6.26-3) ...
    Setting up linux-headers-2.6.26-2-686 (2.6.26-19) ...
    Creating symlink...
    apt-get install build-essential
    Reading package lists... Done
    Building dependency tree
    Reading state information... Done
    build-essential is already the newest version.
    0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
    
    Done!
    unpack
    Extracting the package tarball, /usr/src/broadcom-sta.tar.bz2, please wait...
    "/usr/share/modass/overrides/broadcom-sta-source" build KVERS=2.6.26-2-686 KSRC=/lib/modules/2.6.26-2-686/build KDREV=2.6.26-19 kdist_image
    Done with /usr/src/broadcom-sta-modules-2.6.26-2-686_5.10.91.9-3+2.6.26-19_i386.deb .
    dpkg -Ei /usr/src/broadcom-sta-modules-2.6.26-2-686_5.10.91.9-3+2.6.26-19_i386.deb
    Selecting previously deselected package broadcom-sta-modules-2.6.26-2-686.
    (Reading database ... 100619 files and directories currently installed.)
    Unpacking broadcom-sta-modules-2.6.26-2-686 (from .../broadcom-sta-modules-2.6.26-2-686_5.10.91.9-3+2.6.26-19_i386.deb) ...
    Setting up broadcom-sta-modules-2.6.26-2-686 (5.10.91.9-3+2.6.26-19) ...
    debian:/home/jun# echo wl >> /etc/modules
    debian:/home/jun# modprobe wl
    debian:/home/jun#
    Once again, thank you to those who tried to help, special mention to the two gurus who stuck it out with me until it was solved. Waterhead & Reed9!

    Thank you!

Page 5 of 6 FirstFirst 1 2 3 4 5 6 LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •